import { useEnumStore } from '@/stores'

const { getEnumTypes, getEnumTypeList, getEnumTypeName } = useEnumStore()
const enumKeys = ['certificatetype'] as const
const enumMap = getEnumTypes(...enumKeys)

/**
 * 获取证件类型列表
 * @returns 
 */
export function getCertificateTypeList() {
    return getEnumTypeList(enumMap.get('certificatetype'))
}

/**
 * 获取证件类型名称
 * @returns 
 */
export function getCertificateTypeName(value?: number) {
    return getEnumTypeName(getCertificateTypeList(), value)
}